org.jboss.resteasy.jwt

## Class JWTContextResolver

- java.lang.Object
- - org.jboss.resteasy.jwt.JWTContextResolver

- All Implemented Interfaces:
    ContextResolver<org.codehaus.jackson.map.ObjectMapper>

      public class JWTContextResolver
      extends Object
      implements ContextResolver<org.codehaus.jackson.map.ObjectMapper>

  Any class that extends JsonWebToken will use NON_DEFAULT inclusion
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.codehaus.jackson.map.ObjectMapper` | `mapper`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JWTContextResolver()`
    `JWTContextResolver(boolean indent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.codehaus.jackson.map.ObjectMapper` | `getContext(Class<?> type)` Get a context of type `T` that is applicable to the supplied type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mapper

          protected org.codehaus.jackson.map.ObjectMapper mapper

  - ### Constructor Detail

    - #### JWTContextResolver

          public JWTContextResolver()

    - #### JWTContextResolver

          public JWTContextResolver(boolean indent)

  - ### Method Detail

    - #### getContext

          public org.codehaus.jackson.map.ObjectMapper getContext(Class<?> type)

      Description copied from interface: `ContextResolver`
      Get a context of type `T` that is applicable to the supplied type.
      Specified by:
        `getContext` in interface `ContextResolver<org.codehaus.jackson.map.ObjectMapper>`
      Parameters:
        `type` - the class of object for which a context is desired
      Returns:
        a context for the supplied type or `null` if a context for the supplied type is not available from this provider.

Copyright © 2014. All Rights Reserved.